### Hierarchy

- VerifyManagerImpl

### Implements

- VerifyManager

## Index

### Constructors

- constructor

### Methods

- fixDanglingOfferSearchesByCreatingInteractions
- getAccountsByPublicKeys
- getAllAccounts
- getDanglingOfferInteractions
- getDanglingOfferSearches
- getOfferSearchesByIds
- getSearchRequestWithSameTags

## Constructors

### constructor

- new VerifyManagerImpl(verifyRepository: VerifyRepository): VerifyManagerImpl

- - Defined in manager/VerifyManagerImpl.ts:10

  #### Parameters

  - ##### verifyRepository: VerifyRepository

  #### Returns VerifyManagerImpl

## Methods

### fixDanglingOfferSearchesByCreatingInteractions

- fixDanglingOfferSearchesByCreatingInteractions(): Promise<Array<OfferInteraction>>

- Implementation of VerifyManager.fixDanglingOfferSearchesByCreatingInteractions

  - Defined in manager/VerifyManagerImpl.ts:36

  #### Returns Promise<Array<OfferInteraction>>

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- Implementation of VerifyManager.getAccountsByPublicKeys

  - Defined in manager/VerifyManagerImpl.ts:20

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- Implementation of VerifyManager.getAllAccounts

  - Defined in manager/VerifyManagerImpl.ts:24

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getDanglingOfferInteractions

- getDanglingOfferInteractions(): Promise<Array<OfferInteraction>>

- Implementation of VerifyManager.getDanglingOfferInteractions

  - Defined in manager/VerifyManagerImpl.ts:32

  #### Returns Promise<Array<OfferInteraction>>

### getDanglingOfferSearches

- getDanglingOfferSearches(type: number): Promise<Array<OfferSearch>>

- Implementation of VerifyManager.getDanglingOfferSearches

  - Defined in manager/VerifyManagerImpl.ts:28

  #### Parameters

  - ##### type: number

  #### Returns Promise<Array<OfferSearch>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- Implementation of VerifyManager.getOfferSearchesByIds

  - Defined in manager/VerifyManagerImpl.ts:16

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

### getSearchRequestWithSameTags

- getSearchRequestWithSameTags(): Promise<Array<SearchRequest>>

- Implementation of VerifyManager.getSearchRequestWithSameTags

  - Defined in manager/VerifyManagerImpl.ts:40

  #### Returns Promise<Array<SearchRequest>>

Generated using TypeDoc